Skip to content

Get Trading Pairs

Endpoint

GET https://api.mycactus.dev/custody/v1/api/integrated/trading-pairs
GET https://api.mycactus.com/custody/v1/api/integrated/trading-pairs

Parameters

This endpoint does not require any parameters.


Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObject[]Supported trading pairs array (see data object details below).

data (object)

FieldTypeDescription
base_coinStringBase currency, for example, the base currency in the BTCUSDT trading pair is BTC
quote_coinStringQuote currency, for example, the quote currency in the BTCUSDT trading pair is USDT
base_precisionIntegerDecimal place for base currency
quote_precisionIntegerDecimal place for quote currency
min_baseIntegerMinimum trading amount for base currency
min_quoteIntegerMinimum trading amount for quote currency
max_baseIntegerMaximum trading amount for base currency
max_quoteIntegerMaximum trading amount for quote currency
support_limitInteger

Is it support limit order?

  • 1-Yes
  • 0-No

Response Example

{
  "code": 0,
  "data": [
    {
      "base_coin": "string",
      "base_precision": 0,
      "max_base": 0,
      "max_quote": 0,
      "min_base": 0,
      "min_quote": 0,
      "quote_coin": "string",
      "quote_precision": 0,
      "support_limit": 0
    }
  ],
  "message": "string",
  "successful": true
}